" Vim syntax file
" Language: ICM
" Maintainer: Molsoft LLC (www.molsoft.com)
" Last Change: 05/20/2009 
" Installation :
" * copy this file into ~/.vim/syntax/ or /usr/share/vim/vim70/syntax/
" * add the line below to ~/.vimrc file
"   au BufRead,BufNewFile *.icm,_*    set filetype=icm

if exists("b:current_syntax")
  finish
endif
 
syn keyword		icmSysVariable CONSENSUS FILTER FTP GRAPHICS GRID GROB GUI HTTP ICMEXTENSIONS IMAGE 
syn keyword		icmSysVariable LIBRARY LIGAND OBJECT PLOT SEQUENCE SITE TOOLS USER 
 
syn keyword		icmSysVariable GRAPHICS.atomLabelShift GRAPHICS.quality GRAPHICS.resLabelShift GRAPHICS.setViewTransition GRAPHICS.surfaceDotDensity GUI.enumerationMemoryLimit GUI.lockPrefixLength GUI.maxNofRecentFiles GUI.maxSequenceLength GUI.splashScreenDelay 
syn keyword		icmSysVariable HTTP.timeout IMAGE.previewResolution IMAGE.printerDPI IMAGE.quality IMAGE.writeScale LIGAND.confNofRescored MOVIE.fadeNofFrames PLOT.numberOffset SITE.wrapComment SLIDE.transitionTimeMsec 
syn keyword		icmSysVariable TOOLS.findDatabaseMinSequence TOOLS.maxHeavyAtomsForDepict2D TOOLS.superimposeMaxIterations autoSavePeriod defSymGroup grid4Dlayer i_2out i_out maxFileSizeMb mcsTimeout 
syn keyword		icmSysVariable minMCSFragmentSize minTetherWindow mnRemarks mnSolutions mncalls mncallsMC mnconf mnhighEnergy mnperms mnreject 
syn keyword		icmSysVariable mnundo mnvisits nLocalDeformVar nProc nSsearchStep randomSeed segMinLength sequenceBlock sequenceLine stereoTimeouts 
syn keyword		icmSysVariable stereoWinOffset surfaceAccuracy windowSize 
 
syn keyword		icmSysVariable GRAPHICS.ballStickRatio GRAPHICS.clashWidth GRAPHICS.dnaBallRadius GRAPHICS.dnaRibbonRatio GRAPHICS.dnaRibbonWidth GRAPHICS.dnaStickRadius GRAPHICS.dnaWormRadius GRAPHICS.fontLineSpacing GRAPHICS.fontScale GRAPHICS.grobLineWidth 
syn keyword		icmSysVariable GRAPHICS.hbondAngleSharpness GRAPHICS.hbondBallPeriod GRAPHICS.hbondMinStrength GRAPHICS.hbondWidth GRAPHICS.hetatmZoom GRAPHICS.mapLineWidth GRAPHICS.occupancyRadiusRatio GRAPHICS.ribbonGapDistance GRAPHICS.ribbonRatio GRAPHICS.ribbonWidth 
syn keyword		icmSysVariable GRAPHICS.rockingRange GRAPHICS.rockingSpeed GRAPHICS.stickRadius GRAPHICS.surfaceDotSize GRAPHICS.surfaceProbeRadius GRAPHICS.wireWidth GRAPHICS.wormRadius GRAPHICS.xstickBackboneRatio GRAPHICS.xstickHydrogenRatio GRAPHICS.xstickVwRatio 
syn keyword		icmSysVariable GRID.gpGaussianRadius GRID.margin GRID.maxEl GRID.maxVw GRID.minEl GRID.softenMapsByB GROB.arrowRadius GROB.atomSphereRadius GROB.contourSigmaIncrement GROB.relArrowHead 
syn keyword		icmSysVariable GROB.relArrowSize GUI.autoSaveInterval IMAGE.bondLength2D IMAGE.gammaCorrection IMAGE.lineWidth IMAGE.lineWidth2D IMAGE.scale IMAGE.stereoAngle IMAGE.stereoBase LIGAND.confEnergyThreshold 
syn keyword		icmSysVariable LIGAND.confScoreThreshold LIGAND.dockingThoroughness LIGAND.gbWeight LIGAND.gcWeight LIGAND.geWeight LIGAND.ghWeight LIGAND.gpWeight LIGAND.gsWeight LIGAND.hphobDocAccWeight LIGAND.pocketThreshold 
syn keyword		icmSysVariable LIGAND.selectionRadius LIGAND.stickRadiousRatio LIGAND.tsToleranceRadius LIGAND.tsWeight MOVIE.quality PLOT.Yratio PLOT.fontSize PLOT.lineWidth PLOT.markSize SITE.labelOffset 
syn keyword		icmSysVariable SITE.labelWrap TOOLS.minSphereCubeSize TOOLS.superimposeMaxDeviation TOOLS.superimposeMinAtomFraction TOOLS.tsToleranceRadius TOOLS.tsWeight addBfactor alignMinCoverage alignOldStatWeight axisLength 
syn keyword		icmSysVariable betaStepPb clashThreshold cnDirWeight cnWeight comp_matrix_scale consensusStrength dcWeight densityCutoff dielConst dielConstExtern 
syn keyword		icmSysVariable displayGamma drop flipStepPb fogStart hbCutoff lineWidth listUpdateThreshold localStepPb mapAtomMargin mapResolutionFactorZ 
syn keyword		icmSysVariable mapSigmaLevel maxBfactor maxColorPotential maxMemory mcBell mcJump mcShake mcStep mimelDepth mimelMolDensity 
syn keyword		icmSysVariable r_2out r_out resLabelShift rsChiralWeight rsWeight selectMinGrad selectSphereRadius sfWeight ssThreshold ssWeight 
syn keyword		icmSysVariable ssearchStep surfaceTension tempLocal temperature timeLimit tolFunc tolGrad tolXdif tzWeight vicinity 
syn keyword		icmSysVariable vwCutoff vwExpand vwExpandDisplay vwSoftMaxEnergy vwWeight waterRadius wireBondSeparation xrWeight 
 
syn keyword		icmSysVariable FTP.createFile FTP.keepFile GRAPHICS.activeDisplayInScripts GRAPHICS.centerFollowsClipping GRAPHICS.clipGrobs GRAPHICS.clipSkin GRAPHICS.clipStatic GRAPHICS.displayLineLabels GRAPHICS.displayMapBox GRAPHICS.distanceLabelDrag 
syn keyword		icmSysVariable GRAPHICS.dnaRibbonWorm GRAPHICS.l_redraw GRAPHICS.resLabelDrag GRAPHICS.resizeKeepScale GRAPHICS.ribbonWorm GRAPHICS.siteArrow GRAPHICS.siteLabelDrag GRAPHICS.sketchAccents GRAPHICS.storeDisplay HTTP.supportCookies 
syn keyword		icmSysVariable IMAGE.alwaysRaise IMAGE.color IMAGE.compress IMAGE.generateAlpha IMAGE.stereoText LIGAND.chemicalErrorDisplayState LIGAND.energyDisplayState MOVIE.qualityAuto OBJECT.auto OBJECT.bfactor 
syn keyword		icmSysVariable OBJECT.charge OBJECT.display OBJECT.library OBJECT.occupancy OBJECT.sites PLOT.color PLOT.date PLOT.drawTics PLOT.logo SLIDE.ignoreBackgroundColor 
syn keyword		icmSysVariable SLIDE.ignoreFog SLIDE.layoutRestore TOOLS.sdfStereoParityOutput TOOLS.smilesIgnoreUndefinedTautomers l_alignProfiles l_antiAlias l_autoLink l_beep l_bpmc l_breakRibbon 
syn keyword		icmSysVariable l_bufferedOutput l_bug l_caseSensitivity l_commands l_confirm l_easyRotate l_ecep l_forceAutoBondTyping l_info l_intraMolVW 
syn keyword		icmSysVariable l_minRedraw l_neutralAcids l_oldMaps l_out l_print l_racemicMC l_readMolArom l_showAccessibility l_showMC l_showMinSteps 
syn keyword		icmSysVariable l_showResCodeInSelection l_showSites l_showSpecialChar l_showSstructure l_showWater l_undo l_updateLists l_warn l_wrapLine l_writeStartObjMC 
syn keyword		icmSysVariable l_xrUseHydrogen 
 
syn keyword		icmSysVariable FILTER.Z FILTER.gz FILTER.uue FILTER.zip FTP.proxy GRAPHICS.NtoCRainbow GRAPHICS.alignmentRainbow GRAPHICS.discreteRainbow GRAPHICS.distanceLabelFormat GRAPHICS.fontColor 
syn keyword		icmSysVariable GRAPHICS.rainbowBarLabels GUI.splashScreenImage GUI.tableRowMarkColors HTTP.SOAPAction HTTP.SOAPMethodName HTTP.postContentType HTTP.protocolVersion HTTP.proxy HTTP.userAgent IMAGE.previewer 
syn keyword		icmSysVariable IMAGE.print LIBRARY.bbt LIBRARY.bci LIBRARY.bst LIBRARY.clr LIBRARY.cmp LIBRARY.cnt LIBRARY.cod LIBRARY.hbt LIBRARY.hdt 
syn keyword		icmSysVariable LIBRARY.lps LIBRARY.men LIBRARY.mmbbt LIBRARY.mmbst LIBRARY.mmtot LIBRARY.mmvwt LIBRARY.pmf LIBRARY.rst LIBRARY.tor LIBRARY.tot 
syn keyword		icmSysVariable LIBRARY.vwt LIGAND.info LIGAND.modifiersDir LIGAND.receptor LIGAND.selection LIGAND.templates MOVIE.codec PLOT.previewer SEQUENCE.siteColors SITE.defSelect 
syn keyword		icmSysVariable SITE.showSeqSkip SLIDE.createWithDisplayOptions SLIDE.defaultDisplayOptions SLIDE.transition TOOLS.defaultChemDB TOOLS.edsDir TOOLS.internationalLocale USER.email USER.friends USER.fullName 
syn keyword		icmSysVariable USER.organization USER.phone s_blastdbDir s_commandBuffer s_currentProject s_dockDir s_editor s_entryDelimiter s_errorFormat s_fieldDelimiter 
syn keyword		icmSysVariable s_helpEngine s_icmPrompt s_icmargs s_icmhome s_imageViewer s_inxDir s_javaCodeBase s_labelHeader s_lib s_logDir 
syn keyword		icmSysVariable s_out s_outputDir s_pdbDir s_pdbDirFtp s_pdbDirWeb s_printCommand s_projectsDir s_prositeDat s_psViewer s_realFormat 
syn keyword		icmSysVariable s_reslib s_skipMessages s_swissprotDat s_sysCp s_sysLs s_sysLst s_sysLtt s_sysMv s_sysRm s_tempDir 
syn keyword		icmSysVariable s_translateString s_userDir s_webEntrezLink s_xpdbDir 
 
syn keyword		icmSysVariable CONSENSUS.fraction I_out LIGAND.resultColumnsSelection 
 
syn keyword		icmSysVariable GRAPHICS.clippingPlane GRAPHICS.light GRAPHICS.lightPosition GRAPHICS.transparency IMAGE.rgb2bw LIGAND.box LIGAND.score PLOT.box R_2out R_out 
syn keyword		icmSysVariable accFunction defCell gapFunction gpWeights 
 
syn keyword		icmSysVariable CONSENSUS.residues CONSENSUS.symbol GRAPHICS.font HTTP.addCookies ICMEXTENSIONS.command ICMEXTENSIONS.extension ICMEXTENSIONS.name ICMEXTENSIONS.rmtitle LIBRARY.res LIGAND.linkers 
syn keyword		icmSysVariable LIGAND.modifiers LIGAND.resultColumns LIGAND.userLinkers LIGAND.userModifiers S_RecentFiles S_RecentPDBs S_chemkeys S_out S_proteinTags TOOLS.columnHyperLinks 
syn keyword		icmSysVariable readMolNames swissFields 
 
syn keyword		icmSysVariable GRAPHICS.aromaticPh4Style GRAPHICS.bfactorOccDisplay GRAPHICS.chainBreakLabelDisplay GRAPHICS.chainBreakStyle GRAPHICS.clashStyle GRAPHICS.dnaRibbonStyle GRAPHICS.formalChargeDisplay GRAPHICS.hbondBallStyle GRAPHICS.hbondLonePairDisplay GRAPHICS.hbondRebuild 
syn keyword		icmSysVariable GRAPHICS.hbondStyle GRAPHICS.hydrogenDisplay GRAPHICS.mode GRAPHICS.occupancyDisplay GRAPHICS.rainbowBarStyle GRAPHICS.rocking GRAPHICS.rulerStyle GRAPHICS.selectionLevel GRAPHICS.selectionMode GRAPHICS.selectionStyle 
syn keyword		icmSysVariable GRAPHICS.stereoMode GRAPHICS.useAccumulationBuffer GRAPHICS.xstickStyle GRID.gcghExteriorPenalty GRID.weight GUI.autoSave GUI.defaultLayoutAction GUI.dockHandle GUI.fileLockBehavior GUI.sequenceOffsetStyle 
syn keyword		icmSysVariable GUI.showHelpTips GUI.tableLabelSelection GUI.windowLayout GUI.workspaceFolderStyle GUI.workspaceStyle GUI.workspaceTabStyle IMAGE.aspectCorrection IMAGE.orientation IMAGE.paperSize LIGAND.energyDisplay 
syn keyword		icmSysVariable MOVIE.frameGrabMode PLOT.font PLOT.labelFont PLOT.orientation PLOT.paperSize PLOT.rainbowStyle PLOT.seriesLabels SITE.appendStyle SITE.labelStyle TOOLS.internationalSettings 
syn keyword		icmSysVariable TOOLS.pdbReadNmrModels TOOLS.sdfNewlineType TOOLS.showCommandTimes accessMethod alignDistanceMethod alignMethod alignMinMethod atomLabelStyle atomSingleStyle cnMethodAverage 
syn keyword		icmSysVariable comboDisplayStyle compareMethod dcMethod electroMethod errorAction exitSeslogStyle ffMethod gcMethod highEnergyAction httpReadStyle 
syn keyword		icmSysVariable interruptAction mfMethod minimizeMethod pdbDirStyle rejectAction resLabelStyle ribbonColorStyle ribbonStyle shineStyle surfaceMethod 
syn keyword		icmSysVariable tzMethod varLabelStyle visitsAction vwMethod webEntrezOption wireStyle xrMethod 
 
syn keyword		icmCommand accessibility add alias align alignment all amber angle antialias append 
syn keyword		icmCommand area aselection assign atom auto auxiliary axis background ball bar 
syn keyword		icmCommand base bfactor binary bold bond born boundary box build bw 
syn keyword		icmCommand cartesian cavity cell center chain charge chemical chiral clash clear 
syn keyword		icmCommand cmyk color column command comment comp_matrix compare compress conf connect 
syn keyword		icmCommand convert copy cpk crypt csd cursor dash database delete directory 
syn keyword		icmCommand display distance disulfide dot drestraint edit energy enumerate error evolution 
syn keyword		icmCommand exact exclude exit factor fast fasta field filename filter find 
syn keyword		icmCommand fix flat font foreground fork formal format fprintf frame full 
syn keyword		icmCommand function gamess gcg genome gif global gradient graphic grid grob 
syn keyword		icmCommand group gui hbond header heavy help history html hydrogen iarray 
syn keyword		icmCommand idb identity image index info input integer intensity inverse italic 
syn keyword		icmCommand iupac join jpeg keep kernel key label last learn left 
syn keyword		icmCommand library link list load local logical loop macro make map 
syn keyword		icmCommand margin material matrix memory menu merit minimize mmcif mmff model 
syn keyword		icmCommand modify mol mol2 molcart moldb molecule molsar montecarlo move movie 
syn keyword		icmCommand msf mute name new none nosort nucleotide number object occupancy 
syn keyword		icmCommand off on only oracle origin output page parray pattern pause 
syn keyword		icmCommand pca pdb peptide pharmacophore pir plane plot pmf png postscript 
syn keyword		icmCommand potential pov predict preference preview print printf problem profile project 
syn keyword		icmCommand property prosite protein pseudo query quit rainbow randomize rarray reaction 
syn keyword		icmCommand read real redo reflection refresh regexp regression rename residue resolution 
syn keyword		icmCommand restore reverse rgb ribbon right rotate salt sarray segment select 
syn keyword		icmCommand selection separator sequence session set show similarity simple site size 
syn keyword		icmCommand skin slide sln smiles smooth solid solution sort split sprintf 
syn keyword		icmCommand sql ssearch sstructure stack static stereo stick store string strip 
syn keyword		icmCommand superimpose surface svariable swiss symmetry system table targa tautomer term 
syn keyword		icmCommand test tether texture topology torsion trajectory transform translate transparent tree 
syn keyword		icmCommand type underline undisplay undo unfix unique unix unknown unselect user 
syn keyword		icmCommand variable version view virtual volume vrestraint vselection wait water wavefront 
syn keyword		icmCommand web weight window wire write xplor xstick 
 
syn keyword		icmFunction Abs Acc Acos Acosh Align Align_wl Angle Area Asin Asinh 
syn keyword		icmFunction Ask Askg Atan Atan2 Atanh Atom Augment Axis Bfactor Boltzmann 
syn keyword		icmFunction Box Bracket Cad Ceil Cell Charge Chemical Cluster Color Comment 
syn keyword		icmFunction Consensus Corr Cos Cosh Count Date Deletion Descriptor Det Disgeo 
syn keyword		icmFunction Distance Distribution Eigen Energy Error Exist Existenv Exp Extension FFT 
syn keyword		icmFunction Field File Find Floor Formula Fourier Getarg Getenv Gradient Grob 
syn keyword		icmFunction Group Header Histogram Iarray IcmSequence Image Index Indexx Info Insertion 
syn keyword		icmFunction Integer Integral Interrupt Iproc Ivector Label Laplacian Length LinearFit LinearModel 
syn keyword		icmFunction Link Log Lvector Map Mass Match Matrix Max MaxHKL Mean 
syn keyword		icmFunction Min Mod Mol Moment Money Name Namex Newer Next Nof 
syn keyword		icmFunction Norm Normalize NotInList Obj Occupancy Page Parray Part Path Pattern 
syn keyword		icmFunction Pi Potential Power Predict Probability Profile Property Putarg Putenv Radius 
syn keyword		icmFunction Random Rarray Real Reference Remainder Replace Res Resolution Rfactor Rfree 
syn keyword		icmFunction Rmsd Rot Rvector Sarray Score Select Sequence Shuffle Sign Sin 
syn keyword		icmFunction Sinh Site Size Slide Smiles Smooth SoapMessage Sort Sphere Split 
syn keyword		icmFunction Sql Sqrt Srmsd Sstructure String Sum Symgroup Table Tan Tanh 
syn keyword		icmFunction Temperature Tensor Time To Tointeger Tolower Toreal Torsion Tostring Toupper 
syn keyword		icmFunction Tr123 Tr321 Trace Trans Transform Transpose Trim Turn Type Unique 
syn keyword		icmFunction Unix Value Vector Version View Volume Warning Xyz 
 
syn keyword		icmControlFlow macro if then else elseif endif for endfor break continue goto while endwhile endmacro return call 
syn match   icmNumbers  display transparent "\<\d\|\.\d" contains=icmNumber,icmFloat
syn match   icmNumber	display contained "\d\+\(u\=l\{0,2}\|ll\=u\)\>"
syn keyword icmBoolean	yes no
syn match   icmFloat	display contained "\d\+\.\d*\(e[-+]\=\d\+\)\=[fl]\="
syn match   icmFloat	display contained "\.\d\+\(e[-+]\=\d\+\)\=[fl]\=\>"
syn region  icmComment	start="#" skip="\$" end="$" keepend contains=@beeCommentGroup
syn match   icmSpecial	display contained "\\\(x\x\+\|\o\{1,3}\|.\|$\)"
syn region  icmString	start=+L\="+ skip=+\\\\\|\\"+ end=+"+ contains=icmSpecial

hi def link		icmString	String
hi def link		icmNumber	Number
hi def link		icmBoolean	Boolean
hi def link		icmFloat	Float
hi def link		icmComment	Comment
hi def link		icmFunction	Function
hi def link		icmSysVariable	Function
hi def link		icmControlFlow	Statement
hi def link   icmCommand Type

let b:current_syntax = "icm"
 
